import { ToAttr } from '@zurich/dev-utils/code';

type GapSize = 50 | 75 | 100 | 150 | 200 | 300;
type Direction = 'row' | 'column' | 'row-rev' | 'column-rev';
type Align = 'center' | 'start' | 'end' | 'flex-start' | 'flex-end';
export type ZFlexProps = {
    /** ...
     *
     * A [guide for flex-box](https://css-tricks.com/snippets/css/a-guide-to-flexbox/)
     */
    'z-flex'?: ToAttr<Direction, 'wrap', GapSize> | ToAttr<'wrap', GapSize> | true;
    /** ...
     *
     */
    'z-align'?: ToAttr<Align | 'left' | 'right', Align | 'stretch' | 'baseline'>;
};
export {};
